Vraag Hoe de nieuwste Ruby-versie te vinden en te installeren met behulp van RVM?


Ik heb eindelijk RVM aan het werk gekregen en nu zou ik graag willen dat RVM de nieuwste stabiele ruby-versie installeert.

In de tutorial die ik gebruik, installeerden ze robijn 1.9.3 met opdracht:

rvm install 1.9.3

Nu wil ik weten of er een opdracht is om de nieuwste stabiele versie te downloaden, of moet ik de nieuwste stabiele versie controleren en op deze manier downloaden, of anders, kan ik een oude versie downloaden en een upgrade uitvoeren?

Normaal zou ik alles uitproberen, maar ik ben aan het werken aan een nieuwe server en ik probeer het zo schoon mogelijk in te stellen :)


65
2017-08-08 09:36


oorsprong




antwoorden:


je kunt de nieuwste rvm en ruby ​​installeren door:

$ \curl -L https://get.rvm.io | bash -s stable --ruby

en controleer de robijnversie met stabiliteit

$ rvm list known

kan hier ook de details bekijken: http://www.ruby-lang.org/en/downloads/

$ rvm install ruby 2.0.0-p247 

Gebruik dit wanneer u een specifieke versie wilt downloaden of weet dat dit stabiel is.


70
2017-08-08 11:56



Mijn plezier ... het is werken voor jou !! - Gaurav Sharma
U kunt de rvm-installatie (de opdracht curl | bash) verwijderen als u weet dat u al de meest recente versie hebt. U kunt dat doen door te hardlopen rvm -v en kijken of het resultaat "(laatste)" bevat, zoals in: rvm 1.27.0 (latest). - Keith Bennett


Met de volgende opdracht wordt de nieuwste stabiele versie van ruby ​​geïnstalleerd:

rvm install ruby --latest

85
2017-08-01 03:16



Dit wordt niet altijd laatste geïnstalleerd. Ik was op 2.1.5 en gebruikte --latest Ik heb 2.2.1 gekregen en vervolgens gebruikt rvm install 2.2.4 Ik heb 2.2.4 gekregen, wat de nieuwste is dan wat ik heb gekregen --latest - SET
Als u de nieuwste versie van Ruby wilt gebruiken die al is geïnstalleerd, kunt u gebruiken rvm use ruby --latest - Elliot Chance
Kijkt dit commando lokaal naar de bekende robijnen of gaat het ergens naar een rvm-server? Als je lokaal bent, moet je ervoor zorgen dat je rvm actueel is (zie het vorige antwoord hiervoor). - Keith Bennett